package crypto

import "git.marketally.com/tutus-one/tutus-chain/pkg/crypto/hash"

// VerifiableDecodable represents an object which can be verified and
// those hashable part of which can be encoded/decoded.
type VerifiableDecodable interface {
	hash.Hashable
	EncodeHashableFields() ([]byte, error)
	DecodeHashableFields([]byte) error
}
